Get video
Authorizations
AuthorizationstringRequired
Your ShortGenius API token
Path parameters
idstring · uuidRequired
The unique ID of the video to retrieve.
Responses
200
Successful response
application/json
Details about the created or retrieved video, including scenes and their media.
idstring · uuidRequired
titlestring · max: 100 · nullableOptional
captionstring · max: 4000 · nullableOptional
created_atstringRequired
Date and time (ISO 8601) when the video was created.
updated_atstring · nullableOptional
Date and time (ISO 8601) when the video was last updated.
series_idstring · uuidRequired
ID of the associated series.
publishing_statestring · enumRequiredPossible values:
Upload status of the video.
publish_atstring · nullableRequired
Date and time (ISO 8601) when the video was fully uploaded.
400
Invalid request
application/json
get
/videos/{id}Last updated